Crystal Space: iHalo Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHalo Struct Reference
[3D]

iHalo: used to render halos (aka "light globes"). More...

`#include <ivideo/halo.h>`

Inheritance diagram for iHalo:

[legend]
List of all members.

## Public Member Functions
virtual void | Draw (float x, float y, float w, float h, float iIntensity, csVector2 *iVertices, size_t iVertCount)=0
| Draw the halo given a center point and an intensity.
virtual void | GetColor (float &oR, float &oG, float &oB)=0
| Query halo color.
virtual int | GetHeight ()=0
| Query halo height.
virtual int | GetWidth ()=0
| Query halo width.
virtual void | SetColor (float &iR, float &iG, float &iB)=0
| Change halo color.

## Detailed Description

iHalo: used to render halos (aka "light globes").

This interface can be used as well for any scalable semi-transparent 2D sprites. The "halo" is really just an alpha map; the sprite is a single-colored rectangle with more or less transparent portions (depends on alpha map).

Definition at line 41 of file halo.h.

## Member Function Documentation

virtual void iHalo::Draw | ( | float | x,
|  | float | y,
|  | float | w,
|  | float | h,
|  | float | iIntensity,
|  | csVector2 * | iVertices,
|  | size_t | iVertCount |
| ) |  |  | `[pure virtual]`

Draw the halo given a center point and an intensity.

If either w and/or h is negative, the native width and/or height is used instead. If the halo should be clipped against some polygon, that polygon should be given, otherwise if a 0 pointer is passed, the halo is clipped just against screen bounds.

virtual void iHalo::GetColor | ( | float & | oR,
|  | float & | oG,
|  | float & | oB |
| ) |  |  | `[pure virtual]`

Query halo color.

virtual int iHalo::GetHeight | ( |  | ) | `[pure virtual]`

Query halo height.

virtual int iHalo::GetWidth | ( |  | ) | `[pure virtual]`

Query halo width.

virtual void iHalo::SetColor | ( | float & | iR,
|  | float & | iG,
|  | float & | iB |
| ) |  |  | `[pure virtual]`

Change halo color.

The documentation for this struct was generated from the following file:

- ivideo/halo.h